Bug 1173035 - Stop shipping plugins as dropins.
Summary: Stop shipping plugins as dropins.
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Software Collections
Classification: Red Hat
Component: rh-eclipse46
Version: rh-eclipse46
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: alpha
: 2.3
Assignee: Mat Booth
QA Contact: qe-baseos-tools-bugs
URL:
Whiteboard:
Depends On:
Blocks: 1173024
TreeView+ depends on / blocked
 
Reported: 2014-12-11 10:42 UTC by Alexander Kurtakov
Modified: 2016-11-15 10:14 UTC (History)
5 users (show)

Fixed In Version: rh-eclipse46-eclipse-4.6.0-3.3.el7
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-11-15 10:14:06 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2016:2742 normal SHIPPED_LIVE new packages: rh-eclipse46 2016-11-15 14:52:38 UTC

Description Alexander Kurtakov 2014-12-11 10:42:27 UTC
We have to stop shipping as dropins but use droplets in order to effectively lock RPM installed plugins and thus stop the various problems of user installed stuff overriding RPM leading to broken user p2 profile.

Comment 2 Alexander Kurtakov 2015-06-09 10:40:22 UTC
We are not ready to do it for this cycle. Postponing.

Comment 3 Mat Booth 2015-12-11 10:09:41 UTC
IIRC we discussed this in one of our weekly calls a while back and decided that moving to "droplets" is a DTS 5 feature since "droplets" are currently only in rawhide (F24) and so have not had very much usage exposure or testing.

Comment 5 Václav Kadlčík 2016-08-24 12:50:13 UTC
verified with rh-eclipse46-eclipse-4.6.0-3.8.el7, rh-eclipse46-eclipse-ptp 9.1.0-3.2

Comment 7 errata-xmlrpc 2016-11-15 10:14:06 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHEA-2016-2742.html


Note You need to log in before you can comment on or make changes to this bug.